SRC/slaqz1.f(3)

NAME
SRC/slaqz1.f

SYNOPSIS

  Functions/Subroutines
subroutine slaqz1 (a, lda, b, ldb, sr1, sr2, si, beta1, beta2, v)
SLAQZ1

Function/Subroutine Documentation

  subroutine slaqz1 (real, dimension( lda, * ), intent(in) a, integer, intent(in) lda, real, dimension( ldb, * ), intent(in) b, integer, intent(in) ldb, real, intent(in) sr1, real, intent(in) sr2, real, intent(in) si, real, intent(in) beta1, real, intent(in) beta2, real, dimension( * ), intent(out) v)

SLAQZ1

Purpose:

          Given a 3-by-3 matrix pencil (A,B), SLAQZ1 sets v to a
          scalar multiple of the first column of the product
          (*)  K = (A - (beta2*sr2 - i*si)*B)*B^(-1)*(beta1*A - (sr2 + i*si2)*B)*B^(-1).
          It is assumed that either
                  1) sr1 = sr2
              or
                  2) si = 0.
          This is useful for starting double implicit shift bulges
          in the QZ algorithm.

Parameters
    A

              A is REAL array, dimension (LDA,N)
                  The 3-by-3 matrix A in (*).

    LDA

              LDA is INTEGER
                  The leading dimension of A as declared in
                  the calling procedure.

    B

              B is REAL array, dimension (LDB,N)
                  The 3-by-3 matrix B in (*).

    LDB

              LDB is INTEGER
                  The leading dimension of B as declared in
                  the calling procedure.

    SR1

              SR1 is REAL

    SR2

              SR2 is REAL

    SI

              SI is REAL

    BETA1

              BETA1 is REAL

    BETA2

              BETA2 is REAL

    V

              V is REAL array, dimension (N)
                  A scalar multiple of the first column of the
                  matrix K in (*).

Author
    Thijs Steel, KU Leuven

Date
    May 2020

Definition at line 125 of file slaqz1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.